Subject: Re: bug#23094: icecat is missing a desktop file

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 2 Jun 2016 00:45:16 +0200

Hi Ludo,

On Tue, 31 May 2016 15:47:35 +0200
[email-masked] (Ludovic Courtès) wrote:

> I tested the attached one.  It works as expected, but there remain
> “%%ifdef” things in it (see attached file), and I’m guessing GNOME &
> co. will barf upon them, though I don’t know how to test.

I think the easiest way to test (with few dependencies too) is:

$ guix package -i rofi
$ rofi -show drun

Then check whether icecat shows up in the list of applications (it doesn't).

But on the other hand

$ mkdir -p ${HOME}/dd/applications
$ cp ~/.guix-profile/share/applications/icecat.desktop ${HOME}/dd/applications/
$ export XDG_DATA_DIRS="${HOME}/dd:${XDG_DATA_DIRS}"
$ emacs ${HOME}/dd/applications/icecat.desktop
(remove just the %% lines)
$ rofi -show drun

shows icecat.

(Just today I had the same problem (with iceweasel) in Debian in LXDE while I was showing GNU Linux to someone else. Apparently the LXDE desktop environment doesn't let you add applications it doesn't know (i.e. ones without desktop file) to the panel. That... didn't give a good impression)